Bug 141022 - Enable WebKit disk cache on OS X
Summary: Enable WebKit disk cache on OS X
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Page Loading (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on: 141081
Blocks:
  Show dependency treegraph
 
Reported: 2015-01-28 18:55 PST by Antti Koivisto
Modified: 2015-01-31 14:55 PST (History)
6 users (show)

See Also:


Attachments
patch (2.41 KB, patch)
2015-01-28 18:59 PST, Antti Koivisto
darin: review-
buildbot: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews106 for mac-mavericks-wk2 (629.63 KB, application/zip)
2015-01-28 19:48 PST, Build Bot
no flags Details
try again (2.41 KB, patch)
2015-01-30 12:48 PST, Antti Koivisto
buildbot: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews107 for mac-mavericks-wk2 (600.26 KB, application/zip)
2015-01-30 13:38 PST, Build Bot
no flags Details
try again (2.41 KB, patch)
2015-01-31 03:13 PST, Antti Koivisto
buildbot: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews105 for mac-mavericks-wk2 (631.26 KB, application/zip)
2015-01-31 03:47 PST, Build Bot
no flags Details
test (11.80 KB, patch)
2015-01-31 08:03 PST, Antti Koivisto
no flags Details | Formatted Diff | Diff
test2 (11.44 KB, patch)
2015-01-31 08:47 PST, Antti Koivisto
no flags Details | Formatted Diff | Diff
patch (2.41 KB, patch)
2015-01-31 12:46 PST, Antti Koivisto
barraclough: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Antti Koivisto 2015-01-28 18:55:08 PST
Flip the switch
Comment 1 Antti Koivisto 2015-01-28 18:59:21 PST
Created attachment 245598 [details]
patch
Comment 2 Build Bot 2015-01-28 19:48:05 PST
Comment on attachment 245598 [details]
patch

Attachment 245598 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.appspot.com/results/5312927921864704

Number of test failures exceeded the failure limit.
Comment 3 Build Bot 2015-01-28 19:48:08 PST
Created attachment 245603 [details]
Archive of layout-test-results from ews106 for mac-mavericks-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews106  Port: mac-mavericks-wk2  Platform: Mac OS X 10.9.5
Comment 4 Darin Adler 2015-01-29 00:03:51 PST
Comment on attachment 245598 [details]
patch

View in context: https://bugs.webkit.org/attachment.cgi?id=245598&action=review

30 tests are failing

> Source/WebKit2/config.h:89
> +#if ENABLE(NETWORK_PROCESS)
> +#if PLATFORM(MAC)
> +#define ENABLE_NETWORK_CACHE 1
> +#endif
>  #endif

I believe what we want is:

    #if ENABLE(NETWORK_PROCESS) && PLATFORM(MAC)
    #define ENABLE_NETWORK_CACHE 1
    #else
    #define ENABLE_NETWORK_CACHE 0
    #endif
Comment 5 Antti Koivisto 2015-01-30 00:34:10 PST
Hmm, looks like Maverics is unhappy with some selector and crashes the network process:

2015-01-28 19:33:04.851 com.apple.WebKit.Networking.Development[37196:c0b] *** Terminating app due to uncaught exception 'NSInvalidArgumentException', reason: '-[OS_dispatch_data _xref_dispose]: unrecognized selector sent to instance 0x7fa02cd01ef0'
*** First throw call stack:
(
	0   CoreFoundation                      0x00007fff89d1625c __exceptionPreprocess + 172
	1   libobjc.A.dylib                     0x00007fff87f34e75 objc_exception_throw + 43
	2   CoreFoundation                      0x00007fff89d1912d -[NSObject(NSObject) doesNotRecognizeSelector:] + 205
	3   CoreFoundation                      0x00007fff89c74272 ___forwarding___ + 1010
	4   CoreFoundation                      0x00007fff89c73df8 _CF_forwarding_prep_0 + 120
	5   WebKit                              0x000000010ef81497 ___ZN6WebKit19NetworkCacheStorage5storeERKNS_15NetworkCacheKeyERKNS0_5EntryENSt3__18functionIFvbEEE_block_invoke + 547
	6   libdispatch.dylib                   0x00007fff900771bb _dispatch_call_block_and_release + 12
	7   libdispatch.dylib                   0x00007fff9007428d _dispatch_client_callout + 8
	8   libdispatch.dylib                   0x00007fff900787e3 _dispatch_async_redirect_invoke + 154
	9   libdispatch.dylib                   0x00007fff9007428d _dispatch_client_callout + 8
	10  libdispatch.dylib                   0x00007fff90076082 _dispatch_root_queue_drain + 326
	11  libdispatch.dylib                   0x00007fff90077177 _dispatch_worker_thread2 + 40
	12  libsystem_pthread.dylib             0x00007fff8b94cef8 _pthread_wqthread + 314
	13  libsystem_pthread.dylib             0x00007fff8b94ffb9 start_wqthread + 13
Comment 6 Antti Koivisto 2015-01-30 12:48:07 PST
Created attachment 245732 [details]
try again
Comment 7 Build Bot 2015-01-30 13:37:59 PST
Comment on attachment 245732 [details]
try again

Attachment 245732 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.appspot.com/results/6508317715202048

Number of test failures exceeded the failure limit.
Comment 8 Build Bot 2015-01-30 13:38:03 PST
Created attachment 245738 [details]
Archive of layout-test-results from ews107 for mac-mavericks-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews107  Port: mac-mavericks-wk2  Platform: Mac OS X 10.9.5
Comment 9 Antti Koivisto 2015-01-30 13:45:44 PST
Hmm, the bot is still seeing these -[OS_dispatch_data _xref_dispose]: unrecognized selector sent to instance
Comment 10 Antti Koivisto 2015-01-31 03:13:01 PST
Created attachment 245779 [details]
try again
Comment 11 Build Bot 2015-01-31 03:47:39 PST
Comment on attachment 245779 [details]
try again

Attachment 245779 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.appspot.com/results/5103764088291328

Number of test failures exceeded the failure limit.
Comment 12 Build Bot 2015-01-31 03:47:42 PST
Created attachment 245780 [details]
Archive of layout-test-results from ews105 for mac-mavericks-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews105  Port: mac-mavericks-wk2  Platform: Mac OS X 10.9.5
Comment 13 Antti Koivisto 2015-01-31 08:03:56 PST
Created attachment 245782 [details]
test
Comment 14 WebKit Commit Bot 2015-01-31 08:04:50 PST
Attachment 245782 [details] did not pass style-queue:


ERROR: Source/WebKit2/NetworkProcess/cache/NetworkCacheStorage.h:59:  Should be indented on a separate line, with the colon or comma first on that line.  [whitespace/indent] [4]
ERROR: Source/WebKit2/NetworkProcess/cache/NetworkCacheStorage.h:72:  Should be indented on a separate line, with the colon or comma first on that line.  [whitespace/indent] [4]
Total errors found: 2 in 5 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 15 Antti Koivisto 2015-01-31 08:47:15 PST
Created attachment 245783 [details]
test2
Comment 16 Antti Koivisto 2015-01-31 09:19:16 PST
Ok, replacing OSObjectPtr with DispatchPtr works. The fixed OSObjectPtr apparently still doesn't work on Mavericks setup used in bots.
Comment 17 Antti Koivisto 2015-01-31 12:46:16 PST
Created attachment 245794 [details]
patch
Comment 18 Antti Koivisto 2015-01-31 14:51:34 PST
Reverted r179447 for reason:

Forgot

Committed r179448: <http://trac.webkit.org/changeset/179448>
Comment 19 Antti Koivisto 2015-01-31 14:54:57 PST
https://webkit.org/b/141022
Comment 20 Antti Koivisto 2015-01-31 14:55:33 PST
https://trac.webkit.org/r179449